local wilder = require('wilder')

wilder.setup({ modes = { ':', '/', '?' } })

wilder.set_option('pipeline', {
  wilder.branch(
    wilder.python_file_finder_pipeline({
      file_command = { "rg", "--files" },
      dir_command = { 'find', '.', '-type', 'd', '-printf', '%P\n' },
      filters = { 'fuzzy_filter', 'difflib_sorter' },
    }),
    wilder.cmdline_pipeline({
      language = "python",
      fuzzy = 1,
    }),
    wilder.python_search_pipeline({
      pattern = wilder.python_fuzzy_pattern(),
      sorter = wilder.python_difflib_sorter(),
      engine = 're',
    })
  )
})

-- Set renderer
wilder.set_option('renderer', wilder.popupmenu_renderer({
  highlighter = wilder.basic_highlighter(),
  left = { ' ', wilder.popupmenu_devicons() },
  right = { ' ', wilder.popupmenu_scrollbar() },
  pumblend = 20,
  max_height = '15',  -- Adjust the maximum height as needed
  border = 'rounded', -- Border style can be 'single', 'double', etc.
}))
